//@STATE=作成中
//@DESCRIPTION ---------------------------------------------------------------
// OverImpl.h: OverImpl クラスのインターフェイス
//	履歴：
// $Log: OverImpl.h,v $
// Revision 1.1  2001/10/28 21:40:36  fujiwara
// DLLに分割
//
// Revision 1.4  2001/07/09 20:30:09  fujiwara
// 例外処理の組み込み
//
// Revision 1.3  2001/07/01 01:03:44  fujiwara
// const の見直し
// 配置エディタは途中経過
//
// Revision 1.2  2001/05/12 00:49:24  fujiwara
// ＣＶＳを導入し、ログ表示を追加
//
//@DESCRIPTION_END -----------------------------------------------------------
//@AUTHOR=S.F.
// Copyright (C) 2000 Satoshi Fujiwara. All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_OVER_H__C67DB1AA_0291_4628_89CF_8BBB317B97A6__INCLUDED_)
#define AFX_OVER_H__C67DB1AA_0291_4628_89CF_8BBB317B97A6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AbstractScene.h"
namespace sf {
	namespace application {
		namespace scene {

class OverImpl : public AbstractScene
{
public:
	OverImpl();
	virtual ~OverImpl();
	// OPERATORS //
	// OPERATIONS //
	void endOfScene(Scene * const pScene);
	void exitKeyPressed(Scene * const pScene);
	void move(void);
	// ACCESS //
	virtual const TYPE type() const{return START;};
	// INQUIRY //
private:
	void end(void);
	void main(void);
	void initialize(void);
	void printMessage(void);
	enum STATE {
		INITIALIZE,
		FADE_IN,
		MAIN,
		END
	} mState;
	int mTimer,mTimer1;
	static const int PERIOD;
	static const char BGM_FILENAME[sf::system::MAX_PATH_]; 

};
		}
	}
}
#endif // !defined(AFX_OVER_H__C67DB1AA_0291_4628_89CF_8BBB317B97A6__INCLUDED_)
